/* ==========================================================================
  CHECKBOXES
===========================================================================*/

.checkbox {
  position: relative;
  display: flex;
}

.checkbox__input {
  position: absolute;
  z-index: 2;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
  opacity: 0;

  &:checked {

    ~ .checkbox__label {

      &::after {
        opacity: 1;
      }
    }
  }

  &:focus {

    ~ .checkbox__label {

      &::after {
        border-color: $color-black;
      }
    }
  }
}

.checkbox__label {
  position: relative;
  padding-left: 28px;
  font-family: $font-family-primary;
  color: $color-black-light;
  font-size: $font-size-primary-smaller;

  &::before,
  &::after {
    content: '';
    position: absolute;
    top: 4px;
  }

  &::before {
    left: 0;
    width: 18px;
    height: 18px;
    border: 1px solid $color-gray-darken;
    border-radius: 5px;
  }

  &::after {
    left: 5px;
    width: 9px;
    height: 5px;
    border-left: 1px solid $color-gray-darken;
    border-bottom: 1px solid $color-gray-darken;
    opacity: 0;
    transform: translateY(5px) rotate(-40deg);
  }
}

/* end checkbox */
